DROP TABLE users;
CREATE TABLE users
(
  id int not null unique auto_increment,
  username varchar(32),
  password varchar(32),
  description varchar(64),
  email varchar(64),
  level int default '1' not null,
  primary key (id)
);

INSERT INTO users(
  username,
  password,
  description,
  email,
  level)
values (
  "admin", 
  "21232f297a57a5a743894a0e4a801fc3", 
  "Administrateur", 
  "mycroft@virgaria.org", 
  10);

INSERT INTO users(
  username,
  password,
  description,
  email,
  level)
values (
  "encadrant", 
  "49c476e219573b1e7e3b81df603ac348",
  "Encadrant", 
  "mycroft@virgaria.org", 
  5);

INSERT INTO users(
  username,
  password,
  description,
  email,
  level)
values (
  "etudiant", 
  "a3c6c43c72c71ed874d16ce12f8cede1",
  "Etudiant", 
  "mycroft@virgaria.org", 
  1);

DROP TABLE edito;
CREATE TABLE edito
(
  texte longtext
);

INSERT INTO edito(texte)
values ("blabla bla bla ceci est mon dito bla bla je peux crire des trucs.");

DROP TABLE messages;
CREATE TABLE messages
(
  id int not null unique auto_increment,
  fromid int not null, 
  toid int not null,
  fromhead varchar(128),
  etat int,
  objet varchar(128),
  texte mediumtext,
  typemesg int,
  dateenvoit int(11), 
  miscinfo blob, 
  primary key(id)
);

DROP TABLE projets;
CREATE TABLE projets
(
  id int not null auto_increment,
  titre varchar(128),
  info blob,
  id_auteur int,
  typeproj varchar(2),
  module varchar(32),
  tailleq varchar(32),
  validgrp int,
  primary key(id)
);

DROP TABLE groupes;
CREATE TABLE groupes
(
  group_id int not null auto_increment,
  titre varchar(128),
  owner_id int,
  optetat int default 0,
  primary key(group_id)
);

DROP TABLE groupes_users;
CREATE TABLE groupes_users
(
  group_id int not null,
  user_id int not null,
  etat int not null,
  primary key(group_id, user_id)
);

DROP TABLE choix;
CREATE TABLE choix
(
  projet_id int not null,
  user_id int not null,
  primary key(projet_id, user_id)
);

DROP TABLE espace;
CREATE TABLE espace
(
  file_id int not null auto_increment,
  projet_id int,
  file_name varchar(128),
  primary key(file_id)
);

DROP TABLE espace_comments;
CREATE TABLE espace_comments
(
  comment_id int not null auto_increment,
  projet_id int,
  comment_auteur int,
  comment_contenu blob,
  comment_date int(11),
  primary key(comment_id)
);

DROP TABLE sout_creneaux;
CREATE TABLE sout_creneaux
(
  id int not null auto_increment,
  debut varchar(14),
  fin varchar(14), 
  primary key(id)
);

DROP TABLE soutenances;
CREATE TABLE soutenances
(
  id int not null auto_increment,
  debut varchar(14), 
  group_id int,
  contenu blob,
  primary key(id)
);

DROP TABLE modules;
CREATE TABLE modules
(
  symb varchar(4) not null,
  nom varchar(128),
  primary key(symb)
);

INSERT INTO modules (symb, nom)
VALUES('1', "Mathmatiques pour l'informatique");
INSERT INTO modules (symb, nom)
VALUES('2', "Algorithmes et structures de donnes");
INSERT INTO modules (symb, nom)
VALUES('3', "Programmation fonctionnelle et programmation imprative");
INSERT INTO modules (symb, nom)
VALUES('4', "Utilisation des systmes et des rseaux");
INSERT INTO modules (symb, nom)
VALUES('5', "Logique, langages formels et calculabilit");
INSERT INTO modules (symb, nom)
VALUES('6', "Architecture des ordinateurs");
INSERT INTO modules (symb, nom)
VALUES('7', "Concepts gnraux d'intelligence artificielle");
INSERT INTO modules (symb, nom)
VALUES('7a', "Concepts gnraux de bases de donnes");
INSERT INTO modules (symb, nom)
VALUES('8', "Gnie logiciel et Objets");
INSERT INTO modules (symb, nom)
VALUES('9', "Paralllisme et architectures parallles");
INSERT INTO modules (symb, nom)
VALUES('10', "Syntaxe et smantique");
INSERT INTO modules (symb, nom)
VALUES('11', "Analyse et synthse d'image");
INSERT INTO modules (symb, nom)
VALUES('12', "Architecture des ordinateurs et systmes d'exploitation");
INSERT INTO modules (symb, nom)
VALUES('13', "Base de Donnes");
INSERT INTO modules (symb, nom)
VALUES('14', "Calcul scientifique: Optimisation numrique");
INSERT INTO modules (symb, nom)
VALUES('15', "Calcul scientifique: Approximation");
INSERT INTO modules (symb, nom)
VALUES('16', "Communication homme systme");
INSERT INTO modules (symb, nom)
VALUES('17', "Intelligence artificielle: formalisation du raisonnement et applications");
INSERT INTO modules (symb, nom)
VALUES('18', "Mathmatiques pour l'image et la parole");
INSERT INTO modules (symb, nom)
VALUES('19', "Recherche opprationnelle");
INSERT INTO modules (symb, nom)
VALUES('20', "Rseaux et systmes rpartis");
INSERT INTO modules (symb, nom)
VALUES('21', "Smantique et environnements de programmation");
INSERT INTO modules (symb, nom)
VALUES('au', "Autres...");
